import React, { Dispatch, FunctionComponent, Reducer, ReducerState } from 'react';
import { Action, Epic } from './combine.epics';
export { Epic, Action } from './combine.epics';
export { ofType } from './ofType';
export { StateObservable } from './state.observable';
export interface Options<A extends Action, S, R extends Reducer<S, A>> {
    state: ReducerState<R>;
}
export interface ObservableContext<A extends Action, S, R extends Reducer<S, A>> {
    Provider: FunctionComponent<{
        options: Options<A, S, R>;
    }>;
    useObservableContext: () => {
        dispatch: Dispatch<A>;
        state: S;
    };
}
export declare const createObservableReducerContext: <A extends Action<any>, S, R extends React.Reducer<S, A>, D = any>(reducer: R, epics: Epic<A, A, S, D>[], dependencies?: D) => ObservableContext<A, S, R>;
